LinuxQMISDK: qaGobiApiRms.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Functions
qaGobiApiRms.h File Reference
Remote Management Service (RMS)

Remote Management Service API function prototypes. More...

Go to the source code of this file.

## Functions
ULONG | GetSMSWake (ULONG *pEnabled, ULONG *pWakeMask)
ULONG | SetSMSWake (ULONG bEnable, ULONG wakeMask)

## Detailed Description

Remote Management Service API function prototypes.

Copyright: © 2011 Sierra Wireless, Inc. all rights reserved

## Function Documentation

ULONG GetSMSWake | ( | ULONG * | pEnabled,
|  | ULONG * | pWakeMask
| ) |  |

Queries the state of the SMS wake functionality. When enabled SMS wake functionality results in incoming messages being searched for the configured mask. Upon detection of the mask the incoming message is deleted (i.e. not stored in memory) and the device attempts to wake the host (requires host platform support).

Parameters

  pEnabled[OUT] | SMS wake functionality enabled 0 - Disabled 1 - Enabled
  pWakeMask[OUT] | SMS wake mask to search for incoming messages (only relevant when enabled)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SetSMSWake | ( | ULONG | bEnable,
|  | ULONG | wakeMask
| ) |  |

Configures the SMS wake functionality. When enabled SMS wake functionality results in incoming messages being searched for the configured mask. Upon detection of the mask the incoming message is deleted (i.e. not stored in memory) and the device attempts to wake the host (requires host platform support).

Parameters

  bEnable | Enable SMS wake functionality Zero - Disable Non-Zero - Enable
  wakeMask | SMS wake mask to search for incoming messages (only relevant when enabling)

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds